unit uUI;

{$H+}
{$codepage UTF8}

interface

uses
  uVar, SysUtils, crt;

procedure Draw_Interface();
procedure Draw_Exit();
procedure Draw_Cmd() ;

implementation

procedure Draw_Interface();
begin
  textcolor(white);
  Writeln('*********************************************');
  Writeln('* Сила     : ', STR);
  Writeln('* Ловкость : ', DEX);
  Writeln('* Харизма  : ', CHR);
  Writeln('* Интеллект: ', INT);
  Writeln('*********************************************');
end;

procedure Draw_Exit();
begin
  textcolor(green);
  Writeln('*********************************************');
  Writeln('* Owl & Mushrooms благодарит Вас за внимание');
  Writeln('* Программирование - Вереск (aka the Exile)');
  Writeln('* Сценарий - Вереск & ElizaMort');
  Writeln('* Тестирование - Вереск, Ашан и Кошка');
  Writeln('*********************************************');
end;

procedure Draw_Cmd() ;
begin
{  k := 0;
  if not TimerIsOn then
     begin

     end
  else
    while k < 100 do
    begin
      inc(k);
      Sleep(1000);
      WriteLN('Введите номер ответа или команду: ');
      if KeyPressed() then
         begin
           Read(entry);
           exit;
         end;
    end;  }

   Write('Введите номер ответа или команду: ') ;
   Readln(entry);
end;

end.

